/*
 * Copyright (c) 2013,2014 Scott Oaks. All rights reserved.
 */

package net.sdo;

import org.xml.sax.ErrorHandler;
import org.xml.sax.SAXParseException;

public class SAXErrorHandler implements ErrorHandler {

    public void warning(SAXParseException spe) throws SAXParseException {
        System.out.println("Ostrzeżenie SAX" + spe);
        throw spe;
    }

    public void error(SAXParseException spe) throws SAXParseException {
        System.out.println("Błąd SAX" + spe);
        throw spe;
    }

    public void fatalError(SAXParseException spe) throws SAXParseException {
        System.out.println("Błąd krytyczny SAX" + spe);
        throw spe;
    }
}
